com.smartgwt.client.types

## Enum AIServiceMode

- java.lang.Object
- - java.lang.Enum<AIServiceMode>
  - - com.smartgwt.client.types.AIServiceMode

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<AIServiceMode>

      public enum AIServiceMode
      extends java.lang.Enum<AIServiceMode>
      implements ValueEnum

  The mode for how AI should respond to AI-powered component view requests, such as filering, sorting, and hiliting via AI.

  The amount of interaction with AI is lowest in AI Assist mode. AIDE requires more interaction with AI, and Hybrid mode requires the most amount of interaction. More interaction with AI generally requires more time to process the component view request.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AIASSIST` AI Assist - AI is driving existing UI on the user's behalf.
    `AIDE` AI Data Enhance - Per-record augmentation or enhancements provided via AI.
    `HYBRID` AI decides whether AI Assist, AIDE, or some combination of both approaches should be used to best respond to the component view request.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static AIServiceMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AIServiceMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AIASSIST

          public static final AIServiceMode AIASSIST

      AI Assist - AI is driving existing UI on the user's behalf. An example of this is: AI converts the user's description of what records they would like to see into `AdvancedCriteria`.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "aiAssist".

    - #### AIDE

          public static final AIServiceMode AIDE

      AI Data Enhance - Per-record augmentation or enhancements provided via AI. Examples of this are AI-generated fields, where the field values are not derived from the records, but rather, supplied via AI.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "AIDE".

    - #### HYBRID

          public static final AIServiceMode HYBRID

      AI decides whether AI Assist, AIDE, or some combination of both approaches should be used to best respond to the component view request.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "hybrid".

  - ### Method Detail

    - #### values

          public static AIServiceMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AIServiceMode c : AIServiceMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AIServiceMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`